Bug 1563889 (CVE-2018-9135) - CVE-2018-9135 ImageMagick: Heap-based buffer over-read in coders/webp.c:IsWEBPImageLossless()
Summary: CVE-2018-9135 ImageMagick: Heap-based buffer over-read in coders/webp.c:IsWEB...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-9135
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1563890 1563891
Blocks: 1561747
TreeView+ depends on / blocked
 
Reported: 2018-04-05 01:12 UTC by Sam Fowler
Modified: 2021-02-17 00:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-18 13:28:05 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-04-05 01:12:08 UTC
In ImageMagick 7.0.7-24 Q16, there is a heap-based buffer over-read in coders/webp.c:IsWEBPImageLossless().


Upstream Issue:

https://github.com/ImageMagick/ImageMagick/issues/1009


Upstream Patch:

https://github.com/ImageMagick/ImageMagick/commit/361ed689cc8e56fd125f9d0d6508e9eb303bdca6

Comment 1 Sam Fowler 2018-04-05 01:12:32 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1563891]

Comment 3 Riccardo Schirone 2018-05-18 13:23:39 UTC
Statement:

This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5, 6 and 7 as they did not include the vulnerable code.


Note You need to log in before you can comment on or make changes to this bug.